%define name	qrupdate
%define version 1.1.2
%define release %mkrel 2
%define major	1

%define libname %mklibname %name %major
%define develname %mklibname %name -d

Summary:	Fortran library for fast updates of QR/Cholesky decompositions
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.gz
License:	GPLv3+
Group:		Development/Other
Url:		http://qrupdate.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gcc-gfortran, blas-devel, lapack-devel

%description
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions.

%package -n %{libname}
Summary:	qrupdate shared libraries
Group:		System/Libraries

%description -n %{libname}
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions.

This package contains the shared library required for running programs
built against %{name}.

%package -n %{develname}
Summary:	qrupdate development files
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions.

This package contains the files required for building programs
that use %{name}.

%prep
%setup -q

%build
make lib solib

%install
%__rm -rf %{buildroot}

%make PREFIX=%{buildroot}/usr LIBDIR=%_lib install

%clean
%__rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc README ChangeLog COPYING
%_libdir/*.so
%_libdir/*.a





%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 379898
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 22 2012 grenoya <grenoya> 1.1.2-1.mga3
+ Revision: 296680
- new version 1.1.2

* Mon Apr 18 2011 nanardon <nanardon> 1.1.1-1.mga1
+ Revision: 87885
- 1.1.1

* Tue Apr 12 2011 grenoya <grenoya> 1.0.1-3.mga1
+ Revision: 83971
- force bs submssion
- remove paralel make
- imported package qrupdate

